# Class Site

java.lang.Object
com.treemap.swing.fastvoronoi.originalconvexhull.Vertex
com.treemap.swing.fastvoronoi.originalconvexhull.ASite
com.treemap.swing.fastvoronoi.originalconvexhull.Site

All Implemented Interfaces:
  `iSite, Comparable<Site>`

public class Site extends ASite
Extended Version of a site, which has relative Positions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `isDummy`
  This attribute is used to mark the sites, which are only added to bound the Voronoi diagram.

  ### Fields inherited from class ASite

  `nearlyZero, neighbours, nonClippedPolyon, percentage, polygon, weight`

  ### Fields inherited from class Vertex

  `originalObject, x, y, z`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Site(double x, double y)`
  `Site(double x, double y, double weight)`
  `Site(double x, double y, double weight, double percentage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Site`
  `cloneZeroWeight()`
  `Object`
  `getData()`
  `void`
  `setAsDummy()`
  `void`
  `setData(Object child)`
  `String`
  `toString()`

  ### Methods inherited from class ASite

  `compareTo, distance, distanceCircles, getNeighbours, getPercentage, getPoint, getPolygon, getWeight, setNeighbours, setPercentage, setPolygon, setWeight, setX, setXY, setXYW, setY`

  ### Methods inherited from class Vertex

  `clear, crossProduct, equals, getIndex, getList, getX, getY, isHandled, linearDependent, negate, setHandled, setIndex, setList, subtract, toPoint3D`

  ### Methods inherited from class Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isDummy

    public boolean isDummy
    This attribute is used to mark the sites, which are only added to bound the Voronoi diagram.

- ## Constructor Details

  - ### Site

    public Site(double x, double y)
    Parameters:
      `x` - x-coordinate
      `y` - y-coordinate

  - ### Site

    public Site(double x, double y, double weight)
    Parameters:
      `x` - x-coordinate
      `y` - y-coordinate
      `weight` - the weight of the site, where weight=radius*radius which is used for weighting

  - ### Site

    public Site(double x, double y, double weight, double percentage)

- ## Method Details

  - ### cloneZeroWeight

    public Site cloneZeroWeight()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ASite`

  - ### setAsDummy

    public void setAsDummy()

  - ### setData

    public void setData(Object child)

  - ### getData

    public Object getData()